#include <stdio.h>
#include <stdlib.h>

#define UNUSED(x) ((void)(x))

int sum(int n)
{
    int sum = 0;
    for(int i = 1; i <= n; i++) {
        sum += i;
    }
    return sum;
}

void usage(const char* app_name, const char* err_string)
{
    if(err_string != NULL) {
        fprintf(stderr, "%s\n", err_string);
    }
    fprintf(stderr, "Usage: %s <n>\n", app_name);
    exit(1);
}

int main(int argc, char* argv[])
{
    if(argc != 2) {
        usage(argv[0], NULL);
        return 1;
    }

    int n = atoi(argv[1]);
    if(n <= 0) {
        usage(argv[1], "n must be a natural number.");
    }

    printf("Summe der nat. Zahlen von 1 - %i: %i\n", n, sum(n));

    return 0;
}
